Bug 1404933 - ghostscript and non-free UTF code.
Summary: ghostscript and non-free UTF code.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ghostscript
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: David Kaspar [Dee'Kej]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2016-12-15 07:01 UTC by mejiko
Modified: 2017-01-29 22:17 UTC (History)
3 users (show)

Fixed In Version: ghostscript-9.20-6.fc25 ghostscript-9.20-6.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-29 00:21:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Debian BTS 823100 None None None 2016-12-15 07:12:44 UTC

Description mejiko 2016-12-15 07:01:28 UTC
Hello.

ghostscript included non-free code.

File List:

ghostscript-9.20/base/ConvertUTF.*


There files is non-free, because:

1) not allowed modify.
2) not allowed "any purpose" use.


Upstream is already fixed.

http://git.ghostscript.com/?p=ghostpdl.git;a=commit;h=273a133110838ee5702e7eb6409a853c598211b2


I suggest that resolve license problem.
Thanks.

Comment 1 David Kaspar [Dee'Kej] 2017-01-24 13:18:03 UTC
Hello, Mejiko,

thank you very much for the report. I really appreciate it. And sorry for the late reply, I was stuck dealing with some Fedora issues affecting my OS.

Best regards,

Dee'Kej

Comment 2 David Kaspar [Dee'Kej] 2017-01-25 13:13:15 UTC
Fix submitted into dist-git:
http://pkgs.fedoraproject.org/cgit/rpms/ghostscript.git/commit/?id=254a99729c

Comment 3 Fedora Update System 2017-01-25 13:19:53 UTC
ghostscript-9.20-6.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-15f85f1cf1

Comment 4 Fedora Update System 2017-01-25 13:21:13 UTC
ghostscript-9.20-6.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5136456ce3

Comment 5 Fedora Update System 2017-01-25 23:19:27 UTC
ghostscript-9.20-6.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5136456ce3

Comment 6 Fedora Update System 2017-01-28 04:53:32 UTC
ghostscript-9.20-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-15f85f1cf1

Comment 7 Fedora Update System 2017-01-29 00:21:42 UTC
ghostscript-9.20-6.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-01-29 22:17:59 UTC
ghostscript-9.20-6.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.